#ifndef __resummationQCD__
#define __resummationQCD__

#include "resummation.hh"

using namespace std;

namespace resumm {

  class QCDResummation: public Resummation {

  public:

    QCDResummation(process p, collider c, string PDFset, int PDFsubset=0, verbosity v=DEFAULT): Resummation(p, c, PDFset, PDFsubset, v) {}
    ~QCDResummation();

    double res_xs (double m, double sqrt_s, double muF_m_ratio, double muR_m_ratio, log_order LOGo, order match_order, double *asinput=NULL);
    double res_xs_rap(double m, double Y, double sqrt_s, double muF_m_ratio, double muR_m_ratio, log_order LOGo, order match_order, double *asinput=NULL);

  };

};




#endif
